@echo off

if EXIST "bin\emailgateway.cmd" goto CONT0
    echo "ERROR: FUNAMBOL_HOME is not set and cannot be determined."
    echo "       please start this script from the Funambol DS Server home directory."
    goto END
:CONT0

set FUNAMBOL_HOME=%~dp0..
set JAVA_OPTS=-Dfunambol.ds.home="%FUNAMBOL_HOME%"

set FUNAMBOL_FRAMEWORK=%FUNAMBOL_HOME%\default\lib\funambol-framework.jar
if EXIST %FUNAMBOL_FRAMEWORK% goto CONT1
    echo "cannot find %FUNAMBOL_FRAMEWORK%"
    goto END
:CONT1

set FUNAMBOL_SERVER=%FUNAMBOL_HOME%\default\lib\funambol-server.jar
if EXIST %FUNAMBOL_SERVER% goto CONT2
    echo "cannot find %FUNAMBOL_SERVER%"
    goto END
:CONT2

set EMAILGATE=%FUNAMBOL_HOME%\lib\emailgateway-3.0.2.jar
if EXIST %EMAILGATE% goto CONT3
    echo "cannot find %EMAILGATE%"
    goto END
:CONT3

set FUNAMBOL_EXT=%FUNAMBOL_HOME%\lib\funambol-ext-3.0.0.jar
if EXIST %FUNAMBOL_EXT% goto CONT4
    echo "cannot find %FUNAMBOL_EXT%"
    goto END
:CONT4

set JAVA_JARS="%FUNAMBOL_FRAMEWORK%;%FUNAMBOL_SERVER%;%EMAILGATE%;%FUNAMBOL_EXT%"
set JAVA_EXEC="%JAVA_HOME%\bin\javaw"


rem case %1 in
rem start)
:L_START
if not "%1" == "start" goto L_STOP
    rem
    rem Run EmailGateWay
    rem
    call %JAVA_EXEC% %JAVA_OPTS% -classpath %JAVA_JARS% com.funambol.emailgateway.EmailGateway
    goto L_ESAC
rem stop)
:L_STOP
if not "%1" == "stop" goto L_GRACEFUL
    rem
    rem Shutdown EmailGateWay
    rem
    call %JAVA_EXEC% %JAVA_OPTS% -classpath %JAVA_JARS% com.funambol.emailgateway.utils.AdminShutdown
    goto L_ESAC
rem graceful)
:L_GRACEFUL
if not "%1" == "graceful" goto L_LIST
    rem
    rem Graceful Shutdown EmailGateWay
    rem
    call %JAVA_EXEC% %JAVA_OPTS% -classpath %JAVA_JARS% com.funambol.emailgateway.utils.AdminGraceful
    goto L_ESAC
rem list)
:L_LIST
if not "%1" == "list" goto L_STAR
    rem
    rem List EmailGateWay
    rem
    call %JAVA_EXEC% %JAVA_OPTS% -classpath %JAVA_JARS% com.funambol.emailgateway.utils.AdminList
    goto L_ESAC
rem *)
:L_STAR
    echo "usage: emailgateway [start|stop|grecaful|list]"
    goto L_ESAC
rem esac
:L_ESAC

:END
