#!/bin/sh


if [ -z ${FUNAMBOL_HOME} ]; then
    if [ -f bin/emailgateway.sh ]; then
         FUNAMBOL_HOME=$PWD
    else
         echo "ERROR: FUNAMBOL_HOME is not set and cannot be determined."
         echo "       please start this script from the Funambol DS Server home ."
         exit
    fi
fi

if [ -z ${JAVA_HOME} ]; then
    JAVA_EXEC=java
else
    JAVA_EXEC=${JAVA_HOME}/bin/java
fi

FUNAMBOL_EXT=`ls -1 lib/funambol-ext-*.jar|head -1`

JAVA_OPTS="-Dfunambol.ds.home=${FUNAMBOL_HOME}"
JAVA_JARS="-classpath default/lib/funambol-framework.jar:default/lib/funambol-server.jar:lib/emailgateway-3.0.2.jar:$FUNAMBOL_EXT"

case $1 in
start)
    #
    # Run EmailGateWay
    #
    $JAVA_EXEC $JAVA_OPTS $JAVA_JARS com.funambol.emailgateway.EmailGateway > /dev/null 2>&1 &
    ;;
stop)
    #
    # Shutdown EmailGateWay
    #
    $JAVA_EXEC $JAVA_OPTS $JAVA_JARS com.funambol.emailgateway.utils.AdminShutdown 2>/dev/null

    ;;
graceful)
    #
    # Graceful Shutdown EmailGateWay
    #
    $JAVA_EXEC $JAVA_OPTS $JAVA_JARS com.funambol.emailgateway.utils.AdminGraceful 2>/dev/null

    ;;
list)
    #
    # List EmailGateWay
    #
    $JAVA_EXEC $JAVA_OPTS $JAVA_JARS com.funambol.emailgateway.utils.AdminList  2>/dev/null

    ;;
*)
    echo "usage: $0 [start|stop|graceful|list]"
    ;;
esac

